List access control invitations
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/access_control_invitations \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/access_control_invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/access_control_invitations"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"invitations": [
{
"id": "8c1e5a52-7a0e-4f2b-9d57-3d6a1a2f9c11",
"email": "oliver.smith@example.com",
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{
"error": "Form does not exist."
}Form settings
List access control invitations
List the emails invited to open the form, newest first.
GET
/
forms
/
{form_id}
/
access_control_invitations
List access control invitations
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/access_control_invitations \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/access_control_invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/access_control_invitations"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"invitations": [
{
"id": "8c1e5a52-7a0e-4f2b-9d57-3d6a1a2f9c11",
"email": "oliver.smith@example.com",
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{
"error": "Form does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form. Refer to Getting the Form ID for detailed instructions.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Response
OK - Request succeeded